[v-cloak] {
  display: none;
}


.kc-spinner {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
}

.kc-l-c {
  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

.modelHouseBox.-title.-kc {
  background-color: transparent !important;
}

/* API以外のcss */
.modelHouseBox.-kc,
.modelHouseTitle.-kc,
.eventInfoItem.-kc {
  width: 100% !important;
}

.modelHouseTitle.-kc.-title {
  font-weight: bold;
}


/* topページ */
.kc-top-image {
  height: fit-content;
}

.kc-cards {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 40px;
  flex-wrap: wrap;
  padding: 0;
}

@media screen and (max-width: 880px) {
  .kc-cards {
    grid-template-columns: repeat(2, 1fr);
  }

  .kc-cards>*:first-child {
    grid-column: 1 / -1;
  }
}

@media screen and (max-width: 600px) {
  .kc-cards {
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
  }
}



/* allページ */
.kc-cards.-all {
  gap: 30px;
}

.kc-image {
  position: relative;
  overflow: hidden;
}

.kc-image img {
  aspect-ratio: 4/3;
  object-fit: cover;
  width: 100%;
  height: auto;
}


.kc-name {
  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}


.kc-date br {
  display: none;
}

@media screen and (max-width: 880px) {

  .kc-cards.-all>*:first-child,
  .kc-cards.-model>*:first-child {
    grid-column: 1 / 1;
  }
}